> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a project email template



## OpenAPI

````yaml /openapi.json get /project_email_templates/{id}
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /project_email_templates/{id}:
    get:
      tags:
        - Project email templates
      summary: Retrieve a project email template
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the project email template
          required: true
      responses:
        '200':
          description: A `ProjectEmailTemplate` object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectEmailTemplate'
components:
  schemas:
    ProjectEmailTemplate:
      type: object
      properties:
        id:
          type: string
          description: The ID of the email template
        name:
          type: string
          description: The name of the email template
        subject:
          type: string
          description: The subject of the email template
        body:
          type: string
          nullable: true
          description: >-
            The body of the email template. If present, `template_html` and
            `template_json` must be `null`
        kind:
          type: string
          enum:
            - plaintext
            - html
            - unlayer
            - old_editor
            - editor
          description: The kind of the email template
        template_html:
          type: string
          nullable: true
          description: >-
            The HTML of the email template. If present, `body` and
            `template_json` must be `null`
        template_json:
          nullable: true
          description: >-
            The JSON of the email template. If present, `body` and
            `template_html` must be `null`
        new_template_json:
          nullable: true
          description: The new unlayer JSON template. May be null
        new_template_html:
          type: string
          nullable: true
          description: The new unlayer HTML template. May be null
        attachments:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: The ID of the attachment
              name:
                type: string
                description: The name of the attachment
            required:
              - id
              - name
          description: An array of attachments associated with the email template
        metadata:
          type: object
          additionalProperties: true
          description: Arbitrary metadata associated with this email template
        created_at:
          type: string
          description: The time when the email template was created in ISO 8601 format
        enabled_at:
          type: string
          nullable: true
          description: The time when the email template was enabled in ISO 8601 format
      required:
        - id
        - name
        - subject
        - body
        - kind
        - template_html
        - template_json
        - new_template_json
        - new_template_html
        - attachments
        - metadata
        - created_at
        - enabled_at
      title: The Project Email Template object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````